# Copyright 2023-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit font

DESCRIPTION='Takes popular programming fonts and adds a bunch of Glyphs.'
HOMEPAGE='https://www.nerdfonts.com https://github.com/ryanoasis/nerd-fonts'
SRC_MAIN_URI='https://github.com/ryanoasis/nerd-fonts/releases/download/v'
SRC_URI="
	0xproto?			   ( ${SRC_MAIN_URI}${PV}/0xProto.tar.xz			   -> 0xProto-${PV}.tar.xz )
	3270?				   ( ${SRC_MAIN_URI}${PV}/3270.tar.xz				   -> 3270-${PV}.tar.xz )
	agave?				   ( ${SRC_MAIN_URI}${PV}/Agave.tar.xz				   -> Agave-${PV}.tar.xz )
	anonymouspro?		   ( ${SRC_MAIN_URI}${PV}/AnonymousPro.tar.xz		   -> AnonymousPro-${PV}.tar.xz )
	arimo?				   ( ${SRC_MAIN_URI}${PV}/Arimo.tar.xz				   -> Arimo-${PV}.tar.xz )
	aurulentsansmono?	   ( ${SRC_MAIN_URI}${PV}/AurulentSansMono.tar.xz	   -> AurulentSansMono-${PV}.tar.xz )
	bigblueterminal?	   ( ${SRC_MAIN_URI}${PV}/BigBlueTerminal.tar.xz	   -> BigBlueTerminal-${PV}.tar.xz )
	bitstreamverasansmono? ( ${SRC_MAIN_URI}${PV}/BitstreamVeraSansMono.tar.xz -> BitstreamVeraSansMono-${PV}.tar.xz )
	cascadiacode?		   ( ${SRC_MAIN_URI}${PV}/CascadiaCode.tar.xz		   -> CascadiaCode-${PV}.tar.xz )
	cascadiamono?		   ( ${SRC_MAIN_URI}${PV}/CascadiaMono.tar.xz		   -> CascadiaMono-${PV}.tar.xz )
	codenewroman?		   ( ${SRC_MAIN_URI}${PV}/CodeNewRoman.tar.xz		   -> CodeNewRoman-${PV}.tar.xz )
	comicshannsmono?	   ( ${SRC_MAIN_URI}${PV}/ComicShannsMono.tar.xz	   -> ComicShannsMono-${PV}.tar.xz )
	commitmono?			   ( ${SRC_MAIN_URI}${PV}/CommitMono.tar.xz			   -> CommitMono-${PV}.tar.xz )
	cousine?			   ( ${SRC_MAIN_URI}${PV}/Cousine.tar.xz			   -> Cousine-${PV}.tar.xz )
	d2coding?			   ( ${SRC_MAIN_URI}${PV}/D2Coding.tar.xz			   -> D2Coding-${PV}.tar.xz )
	departuremono?		   ( ${SRC_MAIN_URI}${PV}/DepartureMono.tar.xz		   -> DepartureMono-${PV}.tar.xz )
	daddytimemono?		   ( ${SRC_MAIN_URI}${PV}/DaddyTimeMono.tar.xz		   -> DaddyTimeMono-${PV}.tar.xz )
	dejavusansmono?		   ( ${SRC_MAIN_URI}${PV}/DejaVuSansMono.tar.xz		   -> DejaVuSansMono-${PV}.tar.xz )
	droidsansmono?		   ( ${SRC_MAIN_URI}${PV}/DroidSansMono.tar.xz		   -> DroidSansMono-${PV}.tar.xz )
	envycoder?			   ( ${SRC_MAIN_URI}${PV}/EnvyCodeR.tar.xz			   -> EnvyCodeR-${PV}.tar.xz )
	fantasquesansmono?	   ( ${SRC_MAIN_URI}${PV}/FantasqueSansMono.tar.xz	   -> FantasqueSansMono-${PV}.tar.xz )
	firacode?			   ( ${SRC_MAIN_URI}${PV}/FiraCode.tar.xz			   -> FiraCode-${PV}.tar.xz )
	firamono?			   ( ${SRC_MAIN_URI}${PV}/FiraMono.tar.xz			   -> FiraMono-${PV}.tar.xz )
	geistmono?			   ( ${SRC_MAIN_URI}${PV}/GeistMono.tar.xz			   -> GeistMono-${PV}.tar.xz )
	gomono?				   ( ${SRC_MAIN_URI}${PV}/Go-Mono.tar.xz			   -> Go-Mono-${PV}.tar.xz )
	gohu?				   ( ${SRC_MAIN_URI}${PV}/Gohu.tar.xz				   -> Gohu-${PV}.tar.xz )
	hack?				   ( ${SRC_MAIN_URI}${PV}/Hack.tar.xz				   -> Hack-${PV}.tar.xz )
	hasklig?			   ( ${SRC_MAIN_URI}${PV}/Hasklig.tar.xz			   -> Hasklig-${PV}.tar.xz )
	heavydata?			   ( ${SRC_MAIN_URI}${PV}/HeavyData.tar.xz			   -> HeavyData-${PV}.tar.xz )
	hermit?				   ( ${SRC_MAIN_URI}${PV}/Hermit.tar.xz				   -> Hermit-${PV}.tar.xz )
	iawriter?			   ( ${SRC_MAIN_URI}${PV}/iA-Writer.tar.xz			   -> iA-Writer-${PV}.tar.xz )
	ibmplexmono?		   ( ${SRC_MAIN_URI}${PV}/IBMPlexMono.tar.xz		   -> IBMPlexMono-${PV}.tar.xz )
	inconsolata?		   ( ${SRC_MAIN_URI}${PV}/Inconsolata.tar.xz		   -> Inconsolata-${PV}.tar.xz )
	inconsolatago?		   ( ${SRC_MAIN_URI}${PV}/InconsolataGo.tar.xz		   -> InconsolataGo-${PV}.tar.xz )
	inconsolatalgc?		   ( ${SRC_MAIN_URI}${PV}/InconsolataLGC.tar.xz		   -> InconsolataLGC-${PV}.tar.xz )
	intelonemono?		   ( ${SRC_MAIN_URI}${PV}/IntelOneMono.tar.xz		   -> IntelOneMono-${PV}.tar.xz )
	iosevkaterm?		   ( ${SRC_MAIN_URI}${PV}/IosevkaTerm.tar.xz		   -> IosevkaTerm-${PV}.tar.xz )
	iosevkatermslab?	   ( ${SRC_MAIN_URI}${PV}/IosevkaTermSlab.tar.xz	   -> IosevkaTermSlab-${PV}.tar.xz )
	jetbrainsmono?		   ( ${SRC_MAIN_URI}${PV}/JetBrainsMono.tar.xz		   -> JetBrainsMono-${PV}.tar.xz )
	iosevka?			   ( ${SRC_MAIN_URI}${PV}/Iosevka.tar.xz			   -> Iosevka-${PV}.tar.xz )
	lekton?				   ( ${SRC_MAIN_URI}${PV}/Lekton.tar.xz				   -> Lekton-${PV}.tar.xz )
	liberationmono?		   ( ${SRC_MAIN_URI}${PV}/LiberationMono.tar.xz		   -> LiberationMono-${PV}.tar.xz )
	lilex?				   ( ${SRC_MAIN_URI}${PV}/Lilex.tar.xz				   -> Lilex-${PV}.tar.xz )
	martianmono?		   ( ${SRC_MAIN_URI}${PV}/MartianMono.tar.xz		   -> MartianMono-${PV}.tar.xz )
	meslo?				   ( ${SRC_MAIN_URI}${PV}/Meslo.tar.xz				   -> Meslo-${PV}.tar.xz )
	monaspace?			   ( ${SRC_MAIN_URI}${PV}/Monaspace.tar.xz			   -> Monaspace-${PV}.tar.xz )
	monofur?			   ( ${SRC_MAIN_URI}${PV}/Monofur.tar.xz			   -> Monofur-${PV}.tar.xz )
	monoid?				   ( ${SRC_MAIN_URI}${PV}/Monoid.tar.xz				   -> Monoid-${PV}.tar.xz )
	mononoki?			   ( ${SRC_MAIN_URI}${PV}/Mononoki.tar.xz			   -> Mononoki-${PV}.tar.xz )
	mplus?				   ( ${SRC_MAIN_URI}${PV}/MPlus.tar.xz				   -> MPlus-${PV}.tar.xz )
	nerdfontssymbolsonly?  ( ${SRC_MAIN_URI}${PV}/NerdFontsSymbolsOnly.tar.xz  -> NerdFontsSymbolsOnly-${PV}.tar.xz )
	noto?				   ( ${SRC_MAIN_URI}${PV}/Noto.tar.xz				   -> Noto-${PV}.tar.xz )
	opendyslexic?		   ( ${SRC_MAIN_URI}${PV}/OpenDyslexic.tar.xz		   -> OpenDyslexic-${PV}.tar.xz )
	overpass?			   ( ${SRC_MAIN_URI}${PV}/Overpass.tar.xz			   -> Overpass-${PV}.tar.xz )
	profont?			   ( ${SRC_MAIN_URI}${PV}/ProFont.tar.xz			   -> ProFont-${PV}.tar.xz )
	proggyclean?		   ( ${SRC_MAIN_URI}${PV}/ProggyClean.tar.xz		   -> ProggyClean-${PV}.tar.xz )
	recursive?			   ( ${SRC_MAIN_URI}${PV}/Recursive.tar.xz			   -> Recursive-${PV}.tar.xz )
	robotomono?			   ( ${SRC_MAIN_URI}${PV}/RobotoMono.tar.xz			   -> RobotoMono-${PV}.tar.xz )
	sharetechmono?		   ( ${SRC_MAIN_URI}${PV}/ShareTechMono.tar.xz		   -> ShareTechMono-${PV}.tar.xz )
	sourcecodepro?		   ( ${SRC_MAIN_URI}${PV}/SourceCodePro.tar.xz		   -> SourceCodePro-${PV}.tar.xz )
	spacemono?			   ( ${SRC_MAIN_URI}${PV}/SpaceMono.tar.xz			   -> SpaceMono-${PV}.tar.xz )
	terminus?			   ( ${SRC_MAIN_URI}${PV}/Terminus.tar.xz			   -> Terminus-${PV}.tar.xz )
	tinos?				   ( ${SRC_MAIN_URI}${PV}/Tinos.tar.xz				   -> Tinos-${PV}.tar.xz )
	ubuntu?				   ( ${SRC_MAIN_URI}${PV}/Ubuntu.tar.xz				   -> Ubuntu-${PV}.tar.xz )
	ubuntumono?			   ( ${SRC_MAIN_URI}${PV}/UbuntuMono.tar.xz			   -> UbuntuMono-${PV}.tar.xz )
	ubuntusans?			   ( ${SRC_MAIN_URI}${PV}/UbuntuSans.tar.xz			   -> UbuntuSans-${PV}.tar.xz )
	victormono?			   ( ${SRC_MAIN_URI}${PV}/VictorMono.tar.xz			   -> VictorMono-${PV}.tar.xz )
	zedmono?			   ( ${SRC_MAIN_URI}${PV}/ZedMono.tar.xz			   -> ZedMono-${PV}.tar.xz )
"

S="${WORKDIR}"

LICENSE='OFL-1.1'
SLOT='0'
KEYWORDS='~amd64'

IUSE_FONTS='0xproto 3270 agave anonymouspro arimo aurulentsansmono bigblueterminal bitstreamverasansmono cascadiacode
cascadiamono codenewroman comicshannsmono commitmono cousine departuremono d2coding daddytimemono dejavusansmono
droidsansmono envycoder fantasquesansmono firacode firamono geistmono gomono gohu hack hasklig heavydata hermit
iawriter ibmplexmono inconsolata inconsolatago inconsolatalgc intelonemono iosevka iosevkaterm iosevkatermslab
jetbrainsmono lekton liberationmono lilex martianmono meslo monaspace monofur monoid mononoki mplus
nerdfontssymbolsonly noto opendyslexic overpass profont proggyclean recursive robotomono sharetechmono sourcecodepro
spacemono terminus tinos ubuntu ubuntumono ubuntusans victormono zedmono'
IUSE="${IUSE_FONTS}"
REQUIRED_USE="|| ( ${IUSE_FONTS} )"

FONT_SUFFIX=''

src_install() {
	for suffix in ttf otf; do
		if nonfatal compgen -G "*.${suffix}" > /dev/null; then
			FONT_SUFFIX+=" ${suffix}"
		fi
	done

	font_src_install
}
